org.gradle.plugin.management

## Interface PluginManagementSpec

-     @Incubating
      public interface PluginManagementSpec

  Configures how plugins are resolved.
  Since:
    3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RepositoryHandler` | `getRepositories()` The plugin repositories to use.
    `PluginResolutionStrategy` | `getResolutionStrategy()` The plugin resolution strategy.
    `void` | `repositories(Action<? super RepositoryHandler> repositoriesAction)` Defines the plugin repositories to use.
    `void` | `resolutionStrategy(Action<? super PluginResolutionStrategy> action)` Configure the plugin resolution strategy.

- - ### Method Detail

    - #### repositories

          void repositories(Action<? super RepositoryHandler> repositoriesAction)

      Defines the plugin repositories to use.

    - #### getRepositories

          RepositoryHandler getRepositories()

      The plugin repositories to use.

    - #### resolutionStrategy

          void resolutionStrategy(Action<? super PluginResolutionStrategy> action)

      Configure the plugin resolution strategy.

    - #### getResolutionStrategy

          PluginResolutionStrategy getResolutionStrategy()

      The plugin resolution strategy.